libnews-newsrc-perl_1.11-1_all.deb


Advertisement

Description

libnews-newsrc-perl - Perl module to manage .newsrc files

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libnews-newsrc-perl
Package version: 1.11
Package release: 1
Package architecture: all
Package type: deb
Installed size: 77 B
Download size: 17.28 KB
Official Mirror: ftp.br.debian.org
News::Newsrc manages newsrc files. Methods are provided for - reading and writing newsrc files - adding and removing newsgroups - changing the order of newsgroups - subscribing and unsubscribing from newsgroups - testing whether groups exist and are subscribed - marking and unmarking articles - testing whether articles are marked - returning lists of newsgroups - returning lists of articles

Alternatives

    Download

    Source package: libnews-newsrc-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libnews-newsrc-perl deb package:
      # sudo apt-get install libnews-newsrc-perl

    Files

    • /usr/share/doc/libnews-newsrc-perl/changelog.Debian.gz
    • /usr/share/doc/libnews-newsrc-perl/changelog.gz
    • /usr/share/doc/libnews-newsrc-perl/copyright
    • /usr/share/man/man3/News::Newsrc.3pm.gz
    • /usr/share/perl5/News/Newsrc.pm

    Changelog

    2013-08-16 - Florian Schlichting <fsfs@debian.org> libnews-newsrc-perl (1.11-1) unstable; urgency=low [ gregor herrmann ] * debian/control: Added: ${misc:Depends} to Depends: field. * debian/control: update {versioned,alternative} (build) dependencies. [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Florian Schlichting ] * Import Upstream version 1.11. * Bump years of upstream copyright. * Make libset-intspan-perl dependency versioned >= 1.17. * Bump Standards-Version to 3.9.4 (update to copyright-format 1.0, directly link GPL-1+). * Bump dh compatibility to level 8 (no changes necessary). * Switch to source format 3.0 (quilt). * Switch to short-form debian/rules. * Improve short description (making it a noun phrase). * Add myself to uploaders and copyright

    2008-08-15 - gregor herrmann <gregoa@debian.org> libnews-newsrc-perl (1.09-3) unstable; urgency=low * Change Depends: on libset-intspan-perl to (>= 1.07) instead of forcing a version that doesn't exist.

    2008-08-15 - gregor herrmann <gregoa@debian.org> libnews-newsrc-perl (1.09-2) unstable; urgency=low * Take over for the Debian Perl Group; Closes: #494596 -- RFA * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza). Changed: Maintainer set to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> (was: Debian QA Group <packages@qa.debian.org>); added /me to Uploaders. * debian/watch: use dist-based URL. * Don't install README any more. * Set debhelper compatibility level to 7; adapt debian/rules. * Add build dependency on libset-intspan-perl, since we want to run the test suite. * debian/changelog: change to new format.

    2008-08-12 - Anibal Monsalve Salazar <anibal@debian.org> libnews-newsrc-perl (1.09-1) unstable; urgency=low * QA upload. * New upstream release * Maintainer is Debian QA Group <packages@qa.debian.org> * Acknowledge non maintainer upload; closes: #359456 * Add homepage control line * Add debian/watch * Fix the following lintian issues: W: debian-rules-ignores-make-clean-error line 35 W: package-uses-deprecated-debhelper-compat-version 1 W: ancient-standards-version 3.5.6.0 (current is 3.8.0) E: clean-should-be-satisfied-by-build-depends debhelper

    2006-06-12 - Stephen Quinney <sjq@debian.org> libnews-newsrc-perl (1.08-2.1) unstable; urgency=low * Non-Maintainer Upload * Removed postinst and prerm as they were only there to handle the, now deprecated, /usr/doc symlinks, closes: #359456.

    2002-08-30 - Mike Mattice <mattice@debian.org> libnews-newsrc-perl (1.08-2) unstable; urgency=low * Use proper build target - Closes: #157499 * Add copyright summary from perl package - Closes: #157636

    2002-01-12 - Mike Mattice <mattice@debian.org> libnews-newsrc-perl (1.08-1) unstable; urgency=low * New upstream version (closes Bug#128206). * Updated standards version to 3.5.6.0

    2001-02-21 - Mike Mattice <mattice@debian.org> libnews-newsrc-perl (1.07-3) unstable; urgency=low * Updated for new perl policy.

    2000-12-07 - Mike Mattice <mattice@debian.org> libnews-newsrc-perl (1.07-2) unstable; urgency=low * Corrected dependancies. Closes: #79003.

    2000-12-02 - Mike Mattice <mattice@debian.org> libnews-newsrc-perl (1.07-1) unstable; urgency=low * Initial Release. Closes: #78773.

    Advertisement
    Advertisement